<?php


namespace Schaffen\Financial\BillingRoute\Managers;


use Freelabois\LaravelQuickstart\Extendables\ManipulationManager;
use Freelabois\LaravelQuickstart\Interfaces\RepositoryInterface;
use Schaffen\Financial\BillingRoute\Repositories\SalesmanRouteRepository;

class SalesmanRouteManager extends ManipulationManager
{
    public function __construct(SalesmanRouteRepository $repository)
    {
        parent::__construct($repository);
    }

    public function buscaRotasVendedor($values){
        return $this->repository->list(['rov_fk_pes_codigo' => $values->usu_fk_pes_codigo], ['route']);
    }
}