<?php


namespace Schaffen\Financial\Price\Repositories;


use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Financial\Price\Models\Price;

class PriceRepository extends Repository
{
    protected $model = Price::class;
    protected $searchableFields = [
        ['field' => 'tap_fk_fil_codigo'],
        ['field' => 'tap_padrao']
    ];

    protected function applyCustomFilters()
    {
        extract($this->filters);
    }
}