<?php


namespace Schaffen\Financial\FinancialMovement\Models;


use Illuminate\Database\Eloquent\Model;

class CostCenter extends Model
{
    protected $table = "financeiro.centro_custo";
    protected $primaryKey = "ccu_codigo";
    protected $fillable = [
        "ccu_descricao", "ccu_status", "ccu_fk_fil_codigo",
        "ccu_fk_ccu_codigo", "ccu_admin"
    ];
    public $timestamps = false;

    public function pai()
    {
        return $this->belongsTo(CostCenter::class, "ccu_fk_ccu_codigo", "ccu_codigo")->select("ccu_codigo", "ccu_descricao");
    }
}